### Class

# GdkPixbuf PixbufAnimation

deprecated: 2.44

#### Description [src]

    class GdkPixbuf.PixbufAnimation : GObject.Object
    {
      /* No available fields */
    }

An opaque object representing an animation.

The GdkPixBuf library provides a simple mechanism to load and represent animations. An animation is conceptually a series of frames to be displayed over time.

The animation may not be represented as a series of frames internally; for example, it may be stored as a sprite and instructions for moving the sprite around a background.

To display an animation you don’t need to understand its representation, however; you just ask `GdkPixbuf` what should be displayed at a given point in time.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Ancestors

- GObject

#### Descendants

- GdkPixbufNonAnim
- GdkPixbufSimpleAnim

#### Constructors

###### gdk_pixbuf_animation_new_from_file

Creates a new animation by loading it from a file.

deprecated: 2.44

###### gdk_pixbuf_animation_new_from_resource

Creates a new pixbuf animation by loading an image from an resource.

deprecated: 2.44 since: 2.28

###### gdk_pixbuf_animation_new_from_stream

Creates a new animation by loading it from an input stream.

deprecated: 2.44 since: 2.28

###### gdk_pixbuf_animation_new_from_stream_finish

Finishes an asynchronous pixbuf animation creation operation started with `gdk_pixbuf_animation_new_from_stream_async()`.

deprecated: 2.44 since: 2.28

#### Functions

###### gdk_pixbuf_animation_new_from_stream_async

Creates a new animation by asynchronously loading an image from an input stream.

deprecated: 2.44 since: 2.28

#### Instance methods

###### gdk_pixbuf_animation_get_height

Queries the height of the bounding box of a pixbuf animation.

deprecated: 2.44

###### gdk_pixbuf_animation_get_iter

Get an iterator for displaying an animation.

deprecated: 2.44

###### gdk_pixbuf_animation_get_static_image

Retrieves a static image for the animation.

deprecated: 2.44

###### gdk_pixbuf_animation_get_width

Queries the width of the bounding box of a pixbuf animation.

deprecated: 2.44

###### gdk_pixbuf_animation_is_static_image

Checks whether the animation is a static image.

deprecated: 2.44

###### gdk_pixbuf_animation_ref

Adds a reference to an animation.

deprecated: 2.0

###### gdk_pixbuf_animation_unref

Removes a reference from an animation.

deprecated: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GdkPixbufPixbufAnimationClass {
      GObjectClass parent_class;
      gboolean (* is_static_image) (
        GdkPixbufAnimation* animation
      );
      GdkPixbuf* (* get_static_image) (
        GdkPixbufAnimation* animation
      );
      void (* get_size) (
        GdkPixbufAnimation* animation,
        int* width,
        int* height
      );
      GdkPixbufAnimationIter* (* get_iter) (
        GdkPixbufAnimation* animation,
        const GTimeVal* start_time
      );

    }

Modules supporting animations must derive a type from `GdkPixbufAnimation`, providing suitable implementations of the virtual functions.

###### Class members

`parent_class: GObjectClass`

  The parent class.

`is_static_image: gboolean (* is_static_image) ( GdkPixbufAnimation* animation )`

  Returns whether the given animation is just a static image.

`get_static_image: GdkPixbuf* (* get_static_image) ( GdkPixbufAnimation* animation )`

  Returns a static image representing the given animation.

`get_size: void (* get_size) ( GdkPixbufAnimation* animation, int* width, int* height )`

  Fills `width` and `height` with the frame size of the animation.

`get_iter: GdkPixbufAnimationIter* (* get_iter) ( GdkPixbufAnimation* animation, const GTimeVal* start_time )`

  Returns an iterator for the given animation.

#### Virtual methods

###### GdkPixbuf.PixbufAnimationClass.get_iter

Get an iterator for displaying an animation.

deprecated: 2.44

###### GdkPixbuf.PixbufAnimationClass.get_size

Fills `width` and `height` with the frame size of the animation.

###### GdkPixbuf.PixbufAnimationClass.get_static_image

Retrieves a static image for the animation.

deprecated: 2.44

###### GdkPixbuf.PixbufAnimationClass.is_static_image

Checks whether the animation is a static image.

deprecated: 2.44